Bug Hunting Session
Bug 107340 - Undo label shows "Delete $1" after deleting text with Track Changes set
Summary: Undo label shows "Delete $1" after deleting text with Track Changes set
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-21 21:01 UTC by Gabor Kelemen
Modified: 2017-07-28 08:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (139.15 KB, image/png)
2017-04-21 21:01 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-04-21 21:01:03 UTC
Created attachment 132744 [details]
Screenshot of the problem

1, Open a new document, enter some text
2, Enable Track Changes
3, Delete a word from the text
4, Observe that in the undo list it says "Delete $1"

After turning off the change tracking it correctly says "Delete foo" for freshly deleted "foo" string as seen on the attachment:  "wall" was deleted after turning off change tracking, "Could" was deleted with change tracking
Comment 1 Jean-Baptiste Faure 2017-04-23 16:40:00 UTC
Reproducible with current master built at home under Ubuntu 16.04 x86-64.
Same problem in version 5.3.2.

Best regards. JBF
Comment 2 Commit Notification 2017-07-04 14:49:52 UTC
Rosemary Sebastian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe25f95c3de542f15f6043c85f7385cd7569f237

tdf#107340 - Incorrect undo label with Track Changes set

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-05 06:08:43 UTC
Rosemary Sebastian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=054dab1b9d4985c473e07c2618e5d6bf6ebc5466

nitpick, tdf#107340 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Gabor Kelemen 2017-07-24 19:24:58 UTC
Checked with current master build, now the deleted text appears correctly in the Edit -> Undo menu. Thanks!
Comment 5 Timur 2017-07-28 08:40:46 UTC
OO and 4.2 undo list didn't say anything, 4.3 says "Delete $1".

(In reply to Gabor Kelemen from comment #4)
> Checked with current master build, now the deleted text appears correctly in
> the Edit -> Undo menu. Thanks!
So Verified.